#include <stdio.h>
#include <stdlib.h>

#define ARR_MAX 10000

void prikazNiza(int arr[ARR_MAX], int length)
{
    for(int i=length-1;i>=0;i--){
        printf("%d", arr[i]);
        if(i>0) printf(" ");
    }
}

int main()
{
    int t, n, m;

    scanf("%d", &t);
    scanf("%d %d", &n, &m);

    //printf("n: %d\nm:%d\n",n,m);
    fflush(stdin);

    int niz[ARR_MAX];
    for(int i=0;i<n;i++){
        scanf("%d", &niz[i]);
    }
    fflush(stdin);
    if(t==1){
        printf("DA\n");
        prikazNiza(niz, n);
    }
    //else if(t==0) printf("DA");
    // ne postoji test primer sa t=1 i rezultatom NE
    //else printf("NE");

    return 0;
}